TokenAllocation (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.dht.tokenallocator

## Class TokenAllocation

- java.lang.Object
- - org.apache.cassandra.dht.tokenallocator.TokenAllocation

-     public class TokenAllocation
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenAllocation()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Collection<Token>` | `allocateTokens(TokenMetadata tokenMetadata, AbstractReplicationStrategy rs, java.net.InetAddress endpoint, int numTokens)`
    `static java.util.Map<java.net.InetAddress,java.lang.Double>` | `evaluateReplicatedOwnership(TokenMetadata tokenMetadata, AbstractReplicationStrategy rs)`
    `static org.apache.commons.math3.stat.descriptive.SummaryStatistics` | `replicatedOwnershipStats(TokenMetadata tokenMetadata, AbstractReplicationStrategy rs, java.net.InetAddress endpoint)`
    `static java.lang.String` | `statToString(org.apache.commons.math3.stat.descriptive.SummaryStatistics stat)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenAllocation

          public TokenAllocation()

  - ### Method Detail

    - #### allocateTokens

          public static java.util.Collection<Token> allocateTokens(TokenMetadata tokenMetadata,
                                                                   AbstractReplicationStrategy rs,
                                                                   java.net.InetAddress endpoint,
                                                                   int numTokens)

    - #### evaluateReplicatedOwnership

          public static java.util.Map<java.net.InetAddress,java.lang.Double> evaluateReplicatedOwnership(TokenMetadata tokenMetadata,
                                                                                                         AbstractReplicationStrategy rs)

    - #### statToString

          public static java.lang.String statToString(org.apache.commons.math3.stat.descriptive.SummaryStatistics stat)

    - #### replicatedOwnershipStats

          public static org.apache.commons.math3.stat.descriptive.SummaryStatistics replicatedOwnershipStats(TokenMetadata tokenMetadata,
                                                                                                             AbstractReplicationStrategy rs,
                                                                                                             java.net.InetAddress endpoint)

Copyright © 2018 The Apache Software Foundation